liborigin2: Origin::LineVertex Struct Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Origin::LineVertex Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
| LineVertex ()

## Public Attributes
double | shapeLength
unsigned char | shapeType
double | shapeWidth
double | x
double | y

## Constructor & Destructor Documentation

Origin::LineVertex::LineVertex | ( |  | ) |
| inline

## Member Data Documentation

double Origin::LineVertex::shapeLength

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

unsigned char Origin::LineVertex::shapeType

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

double Origin::LineVertex::shapeWidth

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

double Origin::LineVertex::x

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

double Origin::LineVertex::y

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h